Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface NativeWebCoreVirtualServerRequestStats

All Superinterfaces:
  Stats

public interface NativeWebCoreVirtualServerRequestStats
extends Stats

See Also:
  `NativeWebCoreVirtualServerRequestMonitor`

Method Summary
`CountStatistic` | `getCount200()`
`CountStatistic` | `getCount2xx()`
`CountStatistic` | `getCount302()`
`CountStatistic` | `getCount304()`
`CountStatistic` | `getCount3xx()`
`CountStatistic` | `getCount400()`
`CountStatistic` | `getCount401()`
`CountStatistic` | `getCount403()`
`CountStatistic` | `getCount404()`
`CountStatistic` | `getCount4xx()`
`CountStatistic` | `getCount503()`
`CountStatistic` | `getCount5xx()`
`CountStatistic` | `getCountBytesReceived()`
`CountStatistic` | `getCountBytesTransmitted()`
`CountStatistic` | `getCountOpenConnections()`
`CountStatistic` | `getCountOther()`
`CountStatistic` | `getCountRequests()`
`CountStatistic` | `getMaxByteTransmissionRate()`
`CountStatistic` | `getMaxOpenConnections()`
`StringStatistic` | `getMethod()`
`CountStatistic` | `getRateBytesTransmitted()`
`StringStatistic` | `getURI()`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getCountRequests

    public CountStatistic getCountRequests()

### getCountBytesTransmitted

    public CountStatistic getCountBytesTransmitted()

### getCount304

    public CountStatistic getCount304()

### getCount404

    public CountStatistic getCount404()

### getCount403

    public CountStatistic getCount403()

### getCountBytesReceived

    public CountStatistic getCountBytesReceived()

### getMethod

    public StringStatistic getMethod()

### getCount2xx

    public CountStatistic getCount2xx()

### getCount5xx

    public CountStatistic getCount5xx()

### getCountOpenConnections

    public CountStatistic getCountOpenConnections()

### getURI

    public StringStatistic getURI()

### getCountOther

    public CountStatistic getCountOther()

### getCount3xx

    public CountStatistic getCount3xx()

### getCount4xx

    public CountStatistic getCount4xx()

### getCount503

    public CountStatistic getCount503()

### getCount200

    public CountStatistic getCount200()

### getCount302

    public CountStatistic getCount302()

### getMaxByteTransmissionRate

    public CountStatistic getMaxByteTransmissionRate()

### getCount400

    public CountStatistic getCount400()

### getMaxOpenConnections

    public CountStatistic getMaxOpenConnections()

### getRateBytesTransmitted

    public CountStatistic getRateBytesTransmitted()

### getCount401

    public CountStatistic getCount401()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.